<?php
require'fun.php';
require'f_conectare.php';
conectare('ascunzatoare (triburile v2)','triburile2-ascunzatoare');
$titlu='Ascunzatoare - Triburile V2';
$back[1]='<a href="/triburile2">'.img('triburile.gif',1).'Triburi</a>';
require'f_sus.php';
require'triburile2_nicu1.php';
$msg='';
$proces=$conn->query('SELECT COUNT(*)FROM`t2_procese`WHERE`tip`="7"&&`de`="'.$de.'"')->fetch_row();
if($proces[0]<2)
{
if($go!='')
{
$ggo=$conn->query('SELECT COUNT(*)FROM`t2_ascunzatoare`WHERE`lvl`="'.$go.'"')->fetch_row();
$ggoe=$conn->query('SELECT`lvlasc`FROM`t2_membrii`WHERE`de`="'.$de.'"')->fetch_row();
$fot=$ggoe[0]+1;
$fe=$conn->query('SELECT COUNT(*)FROM`t2_procese`WHERE`de`="'.$de.'"&&`tip`="7"')->fetch_row();
if($fe[0])
{
$fe=$conn->query('SELECT`lvl`FROM`t2_procese`WHERE`de`="'.$de.'"&&`tip`="7"')->fetch_row();
$fot=$fe[0]+1;
}
if($ggo[0]&&($go==$fot))
{
$ggo=$conn->query('SELECT`lmn`,`arg`,`ptr`,`timp`,`pop`FROM`t2_ascunzatoare`WHERE`lvl`="'.$go.'"')->fetch_row();
$ggo1=$conn->query('SELECT`lmn`,`arg`,`ptr`,`pop`,`pct`,`lvlfrm`FROM`t2_membrii`WHERE`de`="'.$de.'"')->fetch_row();
$poptot=$conn->query('SELECT`cant`FROM`t2_ferma`WHERE`lvl`="'.$ggo1[5].'"')->fetch_row();
$pop=$ggo1[3]+$ggo[4];
if($poptot[0]<$pop)
$msg.=$div[7].'Nu poți avea în sat mai mult de <strong>'.$pop.'</strong> persoane!<br />Ridica nivelul fermei!'.$div[0];
elseif($ggo1[0]<$ggo[0])
$msg.=$div[7].'Nu ai destul lemn!'.$div[0];
elseif($ggo1[1]<$ggo[1])
$msg.=$div[7].'Nu ai destula argila!'.$div[0];
elseif($ggo1[2]<$ggo[2])
$msg.=$div[7].'Nu ai destul fier!'.$div[0];
else
{
$no1=$conn->query('UPDATE`t2_membrii`SET`lmn`="'.($ggo1[0]-$ggo[0]).'",`arg`="'.($ggo1[1]-$ggo[1]).'",`ptr`="'.($ggo1[2]-$ggo[2]).'",`pop`="'.$pop.'",`pct`="'.($ggo1[4]+$ggo[4]).'"WHERE`de`="'.$de.'"');
$toy=$conn->query('SELECT COUNT(*)FROM`t2_procese`WHERE`de`="'.$de.'"')->fetch_row();
if($toy[0])
{
$topt=$conn->query('SELECT`timp`,`data`FROM`t2_procese`WHERE`de`="'.$de.'"ORDER BY`id`DESC LIMIT 1 ')->fetch_row();
$timpe=$topt[0]+$topt[1];
}
else
$timpe=$_SERVER['REQUEST_TIME'];
$no=$conn->query('INSERT INTO`t2_procese`SET`de`="'.$de.'",`tip`="7",`data`="'.$timpe.'",`timp`="'.$ggo[3].'",`lvl`="'.$go.'"');
if($no1&&$no)
$msg=$div[6].'Comanda acceptata!'.$div[0];
else
$msg=$div[7].'Eroare!'.$div[0];
}
}
else
$msg=$div[7].'Eroare!'.$div[0];
}
}
echo$msg;
require'triburile2_nicu2.php';
echo$div[4].'<img src="'.$domenii_statice[1].'triburile2/hide1.png" alt="" />Ascunzatoare (nivel '.$if[6].')'.$div[5].$div[10].'In beci se ascund materiile prime, pentru ca dusmanii să nu le poata jefui.'.$div[0];
$lvlasc=$if[6];
$fe=$conn->query('SELECT COUNT(*)FROM`t2_procese`WHERE`de`="'.$de.'"&&`tip`="7"')->fetch_row();
if($fe[0])
{
$fe=$conn->query('SELECT`lvl`FROM`t2_procese`WHERE`de`="'.$de.'"&&`tip`="7"ORDER BY`id`DESC LIMIT 1')->fetch_row();
$lvlasc=$fe[0];
}
$topu=$conn->query('SELECT`cant`FROM`t2_ascunzatoare`WHERE`lvl`="'.$if[6].'"')->fetch_row();
$topu1=$conn->query('SELECT`cant`FROM`t2_ascunzatoare`WHERE`lvl`="'.++$lvlasc.'"')->fetch_row();
if($lvlasc==$conn->query('SELECT COUNT(*)FROM`t2_ascunzatoare`')->fetch_row()[0])
echo$div[6].'Cladire complet terminata!<br />Marimea actuala: <strong>'.$topu[0].'</strong> unitati ascunse'.$div[0];
else
{
if($if[9]>$topu[0])
$flmn=$if[9]-$topu[0];
else
$flmn=0;
if($if[11]>$topu[0])
$farg=$if[11]-$topu[0];
else
$farg=0;
if($if[10]>$topu[0])
$fptr=$if[10]-$topu[0];
else
$fptr=0;
$lvl=$conn->query('SELECT`lmn`,`arg`,`ptr`,`pop`,`timp`FROM`t2_ascunzatoare`WHERE`lvl`="'.$lvlasc.'"')->fetch_row();
require'f_ramas.php';
echo$div[7].'Marimea actuala: <strong>'.$topu[0].'</strong> unitati ascunse<strong> - </strong>marimea la nivelul '.$lvlasc.': <strong>'.$topu1[0].'</strong> unitati ascunse<br />Materii ce pot fi jefuite: <img src="'.$domenii_statice[2].'triburile2/lemne.png" alt="lemn" />'.$flmn.' <img src="'.$domenii_statice[1].'triburile2/argila.png" alt="argile" />'.$farg.' <img src="'.$domenii_statice[1].'triburile2/piatra.png" alt="piatra" />'.$fptr.'<br />Nivelul '.$lvlasc.' costă: <img src="'.$domenii_statice[2].'triburile2/lemne.png" alt="lemn" />'.$lvl[0].'<img src="'.$domenii_statice[1].'triburile2/argila.png" alt="argile" />'.$lvl[1].'<img src="'.$domenii_statice[1].'triburile2/piatra.png" alt="piatra" />'.$lvl[2].'<br /><img src="'.$domenii_statice[2].'triburile2/populatie.png" alt="populatie" />'.$lvl[3].'<img src="'.$domenii_statice[2].'triburile2/clock.png" alt="ceas" />'.ramas($lvl[4]).$div[0];
$ggo=$conn->query('SELECT`lmn`,`arg`,`ptr`FROM`t2_ascunzatoare`WHERE`lvl`="'.$lvlasc.'"')->fetch_row();
$ggo1=$conn->query('SELECT`lmn`,`arg`,`ptr`FROM`t2_membrii`WHERE`de`="'.$de.'"')->fetch_row();
$te=$conn->query('SELECT COUNT(*)FROM`t2_procese`WHERE`de`="'.$de.'"')->fetch_row();
$fef=$conn->query('SELECT COUNT(*)FROM`t2_procese`WHERE`de`="'.$de.'"&&`tip`="7"')->fetch_row();
if($ggo1[0]>$ggo[0]&&$ggo1[1]>$ggo[1]&&$ggo1[2]>$ggo[2])
{
if($fef[0]>=2)
echo$div[7].'Nu poți da mai mult de 2 nivele de constructii pe aceeas cladire!'.$div[0];
elseif($te[0]<2||$if[13]==1)
{
if($te[0]<=7)
{
if($lvlasc-1==0)
echo$div[1].'<a href="/triburile2-ascunzatoare/tip/'.$lvlasc.'">Construire</a>'.$div[0];
else
echo$div[1].'<a href="/triburile2-ascunzatoare/tip/'.$lvlasc.'">Extindere nivel '.$lvlasc.'</a>'.$div[0];
}
else
echo$div[7].'Numarul maxim de constructii pe cont Premium!'.$div[0];
}
elseif($te[0]>=2)
echo$div[7].'Trebuie să ai cont Premium pentru mai mult de 2 nivele de constructie!'.$div[0];
}
else
echo$div[7].'Nu ai suficienta materie!'.$div[0];
}
require'f_jos.php';